## resvg_options_load_font_file

# Function resvg_options_load_font_file

Source

    #[unsafe(no_mangle)]pub extern "C" fn resvg_options_load_font_file(
        opt: *mut resvg_options,
        file_path: *const c_char,
    ) -> i32

Expand description

@brief Loads a font file into the internal fonts database.

Prints a warning into the log when the data is not a valid TrueType font.

Has no effect when the `text` feature is not enabled.

@return #resvg_error with RESVG_OK, RESVG_ERROR_NOT_AN_UTF8_STR or RESVG_ERROR_FILE_OPEN_FAILED